#============================应用配置=========================================
# 项目环境
spring.profiles.active = @profiles.active@
# 应用名称
spring.application.name = energy-manage-service
# 服务端口(同台服务器，配置到nacos)
#server.port = 16200
# 上下文路径
server.servlet.context-path = /energy-manage-service/

#=============================tomcat配置=======================================
#uri编码格式
server.tomcat.uri-encoding = UTF-8
# 最大连接数
server.tomcat.max-connections=100000
# 最小空闲线程数
server.tomcat.threads.min-spare=100
# 最大线程数
server.tomcat.threads.max=800
# 当tomcat启动线程达到最大时，允许的最大排队请求个数
server.tomcat.accept-count = 1000
# server.tomcat.basedir = /opt/projecttmp
server.maxHttpHeaderSize = 8192
#请求数据量
server.tomcat.max-http-form-post-size = 200MB
#超时时间
server.tomcat.connection-timeout = 180000


#=============================日志配置=======================================
# 日志路径(环境)
path.log = @profiles.active@
# debug - sql显示
logging.level.com.energy.manage.service.mappers= debug

#=============================banner配置=======================================
#banner路径
spring.banner.location=classpath:banner/banner.txt
